org.vishia.guiInspc

## Class InspcGui.InspcPlugUser

- java.lang.Object
- - org.vishia.guiInspc.InspcGui.InspcPlugUser

- All Implemented Interfaces:
    InspcPlugUser_ifc
  Enclosing class:
    InspcGui

      private class InspcGui.InspcPlugUser
      extends java.lang.Object
      implements InspcPlugUser_ifc

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.vishia.inspcPC.InspcPlugUser_ifc

      `InspcPlugUser_ifc.TargetState`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) InspcPlugUser_ifc` | `user1` Cascaded user.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InspcPlugUser(InspcPlugUser_ifc user)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `isSent(int seqnr)`
    `void` | `registerTarget(java.lang.String name, java.lang.String sAddr, InspcTargetAccessor targetAcc)` Registers a target after opening the communication.
    `void` | `requData(int ident)` This method is called periodically on start of requesting data all widgets in visible windows.
    `void` | `setInspcComm(InspcAccess_ifc inspcMng)`
    `void` | `showStateInfo(java.lang.String key, InspcPlugUser_ifc.TargetState state, int count, int accLevels, float[] cycle_timeout)` Show the state of target communication.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### user1

          final InspcPlugUser_ifc user1

      Cascaded user.

  - ### Constructor Detail

    - #### InspcPlugUser

          InspcPlugUser(InspcPlugUser_ifc user)

  - ### Method Detail

    - #### showStateInfo

          public void showStateInfo(java.lang.String key,
                                    InspcPlugUser_ifc.TargetState state,
                                    int count,
                                    int accLevels,
                                    float[] cycle_timeout)

      Description copied from interface: `org.vishia.inspcPC.InspcPlugUser_ifc`
      Show the state of target communication.
      Specified by:
        `showStateInfo` in interface `InspcPlugUser_ifc`

    - #### setInspcComm

          public void setInspcComm(InspcAccess_ifc inspcMng)

      Specified by:
        `setInspcComm` in interface `InspcPlugUser_ifc`

    - #### requData

          public void requData(int ident)

      Description copied from interface: `org.vishia.inspcPC.InspcPlugUser_ifc`
      This method is called periodically on start of requesting data all widgets in visible windows. It is possible to get some special data here.
      Specified by:
        `requData` in interface `InspcPlugUser_ifc`
      Parameters:
        `ident` - Any identification depending of the caller. It should be understand by the user algorithm.

    - #### isSent

          public void isSent(int seqnr)

      Specified by:
        `isSent` in interface `InspcPlugUser_ifc`

    - #### registerTarget

          public void registerTarget(java.lang.String name,
                                     java.lang.String sAddr,
                                     InspcTargetAccessor targetAcc)

      Description copied from interface: `org.vishia.inspcPC.InspcPlugUser_ifc`
      Registers a target after opening the communication.
      Specified by:
        `registerTarget` in interface `InspcPlugUser_ifc`